import { Application } from "@nativescript/core";
import { AndroidApplication } from "@nativescript/core";
export function waitForActivityResume() {
    return new Promise((resolve) => {
        const resumeHandler = () => {
            Application.android.off(AndroidApplication.activityResumedEvent, resumeHandler);
            resolve();
        };
        Application.android.on(AndroidApplication.activityResumedEvent, resumeHandler);
    });
}
export function fireInMs(ms) {
    return new Promise((resolve) => setTimeout(resolve, ms));
}
//# sourceMappingURL=perm-request-common.js.map