import { Utils } from "@nativescript/core";
import { createTaskChainRunnerServiceIntent } from "./intents.android";
export class AndroidTaskChainLauncher {
    launch(launchEvent, eventData, eventId) {
        const context = Utils.android.getApplicationContext();
        const startTaskChainRunnerService = createTaskChainRunnerServiceIntent(context, {
            launchEvent,
            eventData,
            eventId,
        });
        context.startService(startTaskChainRunnerService);
    }
}
let _androidTaskChainLauncher;
export function getAndroidTaskChainLauncher() {
    if (!_androidTaskChainLauncher) {
        _androidTaskChainLauncher = new AndroidTaskChainLauncher();
    }
    return _androidTaskChainLauncher;
}
//# sourceMappingURL=index.js.map